$(function (){
  // tab切换
  $('.tab-btn .tab-btn-item').on('click', function (){
    $(this).addClass('active').siblings('.tab-btn-item').removeClass('active')
    if ($(this).attr('class').indexOf('ind') !== -1) {
      $('.tab-content.tab-ind-content').addClass('active').siblings('.tab-content').removeClass('active')
    } else {
      $('.tab-content.tab-type-content').addClass('active').siblings('.tab-content').removeClass('active')
    }
  })
  // 鼠标悬停显示
  $('.selection-group').on('mouseenter', function (){
      if ($(this).find('.industry-branch').length > 0) {
          $(this).addClass('mouseon')
      }
  })
  $('.selection-group').on('mouseleave', function () {
    $('.selection-group').removeClass('mouseon')
  })
  // 主行业选中/取消 子行业全部选中/取消
  $('.industry-trunk input[type=checkbox]').on('change', function (){
      var checked = $(this).prop('checked')
      $(this).parent().siblings('.industry-branch').find('input[type=checkbox]').prop('checked', checked)
  })
  // 子行业有选中，主行业选中；子行业全都取消，主行业取消
  $('.industry-branch input[type=checkbox]').on('change', function (){
    if ($(this).prop('checked')) {
      $(this).parent().parent().siblings('.industry-trunk').find('input[type=checkbox]').prop('checked', true)
    } else {
      var tag = false
      var sib = $(this).parent().siblings('.checkbox-item')
      for(var i = 0; i < sib.length; i++){
        if ($(sib[i]).find('input[type=checkbox]').prop('checked')) {
          tag = true
          break
        }
      }
      $(this).parent().parent().siblings('.industry-trunk').find('input[type=checkbox]').prop('checked', tag)
    }
  })
    // 自定义标签弹窗操作
    //$("#user-defined-btn").bind("click", function () {

    //    $("#customTag").show();
    //});

  //$('#user-defined-btn').on('click', function (){
  //  $('.user-define-tag').fadeIn(200)
  //  $('.tag-input').val('')
  //})
  //$('.user-define-tag .close-tag').on('click', function () {
  //  $('.user-define-tag').fadeOut(200)
  //  $('.tag-input').val('')
  //})
  //$('.user-define-tag .btn-cancel').on('click', function () {
  //  $('.user-define-tag').fadeOut(200)
  //  $('.tag-input').val('')
  //})
  //$('.user-define-tag .btn-confirm').on('click', function () {
  //  $('.user-define-tag').fadeOut(200)
  //  $('.tag-input').val('')
  //})

  // 关闭标签弹窗
  $('.industry-tag-footer .btn-cancel').on('click', function (){
    $('.industry-box').fadeOut(200)
  })
  $('.industry-tag-footer .btn-confirm').on('click', function () {
    $('.industry-box').fadeOut(200)
  })
})